﻿

@using  Microsoft.AspNetCore.Http;
@using Newtonsoft.Json;

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - OrbCare.Web</title>
    <style>
    </style>
    <link href="~/assets/css/OrbCare.css" rel="stylesheet" type="text/css">



    <environment include="Development">
        <!-- Global stylesheets -->
        <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
        <link href="~/assets/css/icons/icomoon/styles.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/icons/fontawesome/styles.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/core.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/components.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/colors.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/OrbCare.css" rel="stylesheet" type="text/css">



        <!-- /global stylesheets -->
      


    </environment>
    <environment exclude="Development">
        <!-- Global stylesheets -->
        <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
        <link href="~/assets/css/icons/icomoon/styles.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/icons/fontawesome/styles.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/core.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/components.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/colors.min.css" rel="stylesheet" type="text/css">
        <link href="~/assets/css/OrbCare.css" rel="stylesheet" type="text/css">


        <!-- /global stylesheets -->
    </environment>



</head>
<body class="sidebar-xs has-detached-right">
    <div id="wait" style="display:none;position:absolute;z-index: 10000">
        <div>
            @*<img src='~/images/ajax-loader.gif' style="width:40px;height:50px;" /><br>Loading..*@
            <i class="fa fa-circle-o-notch fa-spin"></i>
        </div>

    </div>
    <!-- Main navbar -->
    <div class="navbar navbar-default header-highlight">
        <div class="navbar-header">
            <a class="navbar-brand" href="index.html"><img src="~/assets/images/logo_light.png" alt=""></a>

            <ul class="nav navbar-nav visible-xs-block">
                <li><a data-toggle="collapse" data-target="#navbar-mobile"><i class="icon-tree5"></i></a></li>
                <li><a class="sidebar-mobile-main-toggle"><i class="icon-paragraph-justify3"></i></a></li>
            </ul>
        </div>

        <div class="navbar-collapse collapse" id="navbar-mobile">
            <ul class="nav navbar-nav">
                <li><a class="sidebar-control sidebar-main-toggle hidden-xs"><i class="icon-paragraph-justify3"></i></a></li>

            </ul>

            <ul class="nav navbar-nav navbar-right">


                <li>
                    <div class="">
                        <form class="heading-form" action="#">
                            <div class="row">

                                <div class="form-group ">
                                    <div class="has-feedback">
                                        <input type="search" class="form-control" placeholder="Search">
                                        <div class="form-control-feedback">
                                            <i class="icon-search4 text-size-small text-muted"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </form>
                    </div>
                </li>


                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="icon-bubbles4"></i>
                        <span class="visible-xs-inline-block position-right">Messages</span>
                        <span class="badge bg-warning-400">2</span>
                    </a>

                    <div class="dropdown-menu dropdown-content width-350">
                        <div class="dropdown-content-heading">
                            Chat
                            <ul class="icons-list">
                                <li><a href="#" data-toggle="modal" data-target="#modal_ChatNew"><i class="icon-compose"></i></a></li>
                            </ul>
                        </div>
                        <div>
                            <div class="has-feedback has-feedback-left">
                                <input type="search" class="form-control" placeholder="Search" style="border-radius: 0px;">
                                <div class="form-control-feedback">
                                    <i class="icon-search4 text-size-base text-muted"></i>
                                </div>
                            </div>
                        </div>

                        <ul class="media-list dropdown-content-body">
                            <li class="media">
                                <a href="#" class="media-left"><img src="~/assets/images/placeholder.jpg" class="img-sm img-circle" alt=""></a>
                                <div class="media-body">
                                    <a href="#" data-toggle="modal" data-target="#modal_Chat" class="media-heading text-semibold">Dr. James Alexander</a>
                                    <span class="text-size-mini text-muted display-block">Radiologist</span>
                                    <span class="text-size-mini text-muted display-block">500 King Street W, Toronto M5V 2J4</span>
                                </div>
                                <div class="media-right media-middle">
                                    <span class="status-mark bg-success"></span>
                                </div>
                            </li>

                            <li class="media">
                                <a href="#" class="media-left"><img src="~/assets/images/placeholder.jpg" class="img-sm img-circle" alt=""></a>
                                <div class="media-body">
                                    <a href="#" class="media-heading text-semibold">Dr. James Alexander</a>
                                    <span class="text-size-mini text-muted display-block">Radiologist</span>
                                    <span class="text-size-mini text-muted display-block">500 King Street W, Toronto M5V 2J4</span>
                                </div>
                                <div class="media-right media-middle">
                                    <span class="status-mark bg-success"></span>
                                </div>
                            </li>

                            <li class="media">
                                <a href="#" class="media-left"><img src="~/assets/images/placeholder.jpg" class="img-sm img-circle" alt=""></a>
                                <div class="media-body">
                                    <a href="#" class="media-heading text-semibold">Dr. Richard Vango</a>
                                    <span class="text-size-mini text-muted display-block">Urologist.</span>
                                    <span class="text-size-mini text-muted display-block">500 King Street W, Toronto M5V 2J4</span>
                                </div>
                                <div class="media-right media-middle">
                                    <span class="status-mark bg-grey-400"></span>
                                </div>
                            </li>

                            <li class="media">
                                <a href="#" class="media-left"><img src="~/assets/images/placeholder.jpg" class="img-sm img-circle" alt=""></a>
                                <div class="media-body">
                                    <a href="#" class="media-heading text-semibold">Dr. Richard Vango</a>
                                    <span class="text-size-mini text-muted display-block">Urologist.</span>
                                    <span class="text-size-mini text-muted display-block">500 King Street W, Toronto M5V 2J4</span>
                                </div>
                                <div class="media-right media-middle">
                                    <span class="status-mark bg-grey-400"></span>
                                </div>
                            </li>

                            <li class="media">
                                <a href="#" class="media-left"><img src="~/assets/images/placeholder.jpg" class="img-sm img-circle" alt=""></a>
                                <div class="media-body">
                                    <a href="#" class="media-heading text-semibold">Dr. Richard Vango</a>
                                    <span class="text-size-mini text-muted display-block">Urologist.</span>
                                    <span class="text-size-mini text-muted display-block">500 King Street W, Toronto M5V 2J4</span>
                                </div>
                                <div class="media-right media-middle">
                                    <span class="status-mark bg-grey-400"></span>
                                </div>
                            </li>
                            <li class="media">
                                <a href="#" class="media-left"><img src="~/assets/images/placeholder.jpg" class="img-sm img-circle" alt=""></a>
                                <div class="media-body">
                                    <a href="#" class="media-heading text-semibold">Dr. Richard Vango</a>
                                    <span class="text-size-mini text-muted display-block">Urologist.</span>
                                    <span class="text-size-mini text-muted display-block">500 King Street W, Toronto M5V 2J4</span>
                                </div>
                                <div class="media-right media-middle">
                                    <span class="text-size-mini text-muted display-block">23m</span>
                                </div>
                            </li>
                            <li class="media">
                                <a href="#" class="media-left"><img src="~/assets/images/placeholder.jpg" class="img-sm img-circle" alt=""></a>
                                <div class="media-body">
                                    <a href="#" class="media-heading text-semibold">Dr. Richard Vango</a>
                                    <span class="text-size-mini text-muted display-block">Urologist.</span>
                                    <span class="text-size-mini text-muted display-block">500 King Street W, Toronto M5V 2J4</span>
                                </div>
                                <div class="media-right media-middle">

                                    <span class="text-size-mini text-muted display-block">2h</span>
                                </div>
                            </li>

                        </ul>

                        <div class="dropdown-content-footer">
                            <a href="#" data-popup="tooltip" title="All messages"><i class="icon-menu display-block"></i></a>
                        </div>
                    </div>
                </li>
                <li class="dropdown dropdown-user">
                    <a class="dropdown-toggle" data-toggle="dropdown">
                        <img src="~/assets/images/placeholder.jpg" alt="">
                        <span>Obad</span>
                        <i class="caret"></i>
                    </a>

                    <ul class="dropdown-menu dropdown-menu-right">
                        <!--li><a href="#"><i class="icon-user-plus"></i> My profile</a></li>
                        <li><a href="#"><i class="icon-coins"></i> My balance</a></li>
                        <li><a href="#"><span class="badge bg-teal-400 pull-right">58</span> <i class="icon-comment-discussion"></i> Messages</a></li>
                        <li class="divider"></li-->
                        <li><a href="#"><i class="icon-cog5"></i> Account settings</a></li>
                        <li><a href="@Url.Action("Logout","Account")"><i class="icon-switch2"></i> Logout</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
    <!-- /main navbar -->
    <!-- Page container -->
    <div class="page-container">

        <!-- Page content -->
        <div class="page-content">
            <!-- Main sidebar -->
            <div class="sidebar sidebar-main">
                <div class="sidebar-content">


                    <!-- Main navigation -->
                    <div class="sidebar-category sidebar-category-visible">
                        <div class="category-content no-padding">
                            <ul class="navigation navigation-main navigation-accordion">

                                <!-- Main -->
                                <li class="navigation-header"><span>Main</span> <i class="icon-menu" title="Main pages"></i></li>
                                <li><a href="../../Index_RisDashboard.html"><i class="icon-home4"></i> <span>Dashboard</span></a></li>
                                <li><a href="../../01_Main/01_Scheduler/Scheduler.html"><i class="icon-calendar3"></i> <span>Scheduler</span></a></li>
                                <li class="active"><a href="@Url.Action("Index","EncounterList")"><i class="icon-folder"></i> <span>Encounter List</span></a></li>
                                <li><a href="../../01_Main/03_Wait List/WailtList.html"><i class="fa fa-group"></i> <span>Wailt List</span></a></li>
                                <li><a href="../../01_Main/04_Search/Search.html"><i class="icon-search4"></i> <span>Search</span></a></li>
                                <li><a href="../../01_Main/05_PrintFaxConsole/PrintFaxConsole.html"><i class="icon-printer2"></i> <span>Print/Fax Console</span></a></li>
                                <li><a href="../../01_Main/06_Worklist/Worklist.html"><i class="icon-display4"></i> <span>Worklist</span></a></li>
                                <!-- /main -->
                                <!-- Financing -->
                                <li class="navigation-header"><span>Financing</span> <i class="icon-menu" title="Main pages"></i></li>
                                <li><a href="../../02_Financial/07_Billing/Billing.html"><i class="fa fa-usd"></i> <span>Billing</span></a></li>
                                <li>
                                    <a href="#"><i class="icon-chart"></i> <span>Analytics</span></a>
                                    <ul>
                                        <li>
                                            <a href="../../02_Financial/08_Reports/ReportDashboard.html">Dashboard</a>
                                        </li>
                                        <li>
                                            <a href="../../02_Financial/08_Reports/ReportReports.html">Reports</a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a href="../../02_Financial/09_EDT/EDT.html"><i class="icon-drawer-in"></i> <span>EDT</span></a></li>
                                <!-- /Financing -->
                                <!-- admin -->
                                <li class="navigation-header"><span>Admin</span> <i class="icon-menu" title="Admin"></i></li>
                                <li>
                                    <a href="#"><i class="icon-cog3"></i> <span>System Administration</span></a>
                                    <ul>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/SL_SystemAdmin.html">Silverlight</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/Location.html">Location</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/TestType.html">Test Type</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/EncounterType.html">Encounter Type</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/FacilityProfile.html">Facility Profile</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/Projects.html">Projects</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/ScheduleTemplate.html">Schedule Template</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/AppointmentTemplate.html">Appointment Template</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/Users.html">Users</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/ReportTemplate.html">Report Template</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/ReferralPortalSetting.html">Referral Portal Setting</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/Payers.html">Payers</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/HRMProviders.html">HRM Providers</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/BillingCodeManager.html">Billing Code Manager</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/BillingTemplateManager.html">Billing Template Manager</a>
                                        </li>
                                        <li>
                                            <a href="../../03_Admin/10_SystemAdminstration/PrivateBillingCodes.html">Private Billing Codes</a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a href="../../03_Admin/11_HowTo/HowTo.html"><i class="icon-question7"></i> <span>How To</span></a></li>

                                <!-- /admin -->



                            </ul>
                        </div>
                    </div>
                    <!-- /main navigation -->

                </div>
            </div>
            <!-- /main sidebar -->
            @RenderBody()

            <div id="errorModal" class="modal fade" role="dialog" style="z-index:10000">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Error</h4>
                        </div>
                        <div class="modal-body">
                            <div class="alert alert-danger" id="divError">
                                Sorry, An error has occured while processing your request
                            </div>
                        </div>

                    </div>

                </div>
            </div>
            <div id="warningModal" class="modal fade" role="dialog" style="z-index:10000">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Warning</h4>
                        </div>
                        <div class="modal-body">
                            <div class="alert alert-warning" id="divWarning">
                                Sorry, An error has occured while processing your request
                            </div>
                        </div>

                    </div>

                </div>
            </div>
            <div id="successModal" class="modal fade" role="dialog" style="z-index:10000">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Success</h4>
                        </div>
                        <div class="modal-body">
                            <div class="alert alert-success" id="divSuccess">
                                Sorry, An error has occured while processing your request
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
        <!-- /page content -->

    </div>
    <!-- /page container -->


    <environment include="Development">
        <!-- Core JS files -->
        <script type="text/javascript" src="~/assets/js/plugins/loaders/pace.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery.min.js"></script>



        <script type="text/javascript" src="~/assets/js/core/libraries/bootstrap.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/loaders/blockui.min.js"></script>
        <!-- /core JS files -->
        <!-- Theme JS files -->
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/interactions.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/select2.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/selectboxit.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/bootstrap_multiselect.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/touchspin.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/uploaders/fileinput.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/editable/editable.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/extensions/contextmenu.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/visualization/sparkline.min.js"></script>

        <script type="text/javascript" src="~/assets/js/plugins/forms/validation/validate.min.js"></script>

        <script type="text/javascript" src="~/assets/js/plugins/extensions/cookie.js"></script>


        @*<script type="text/javascript" src="~/assets/js/pages/table_elements.js"></script>*@
        <!-- /theme JS files -->
        <!-- Theme JS files -->
        <script type="text/javascript" src="~/assets/js/plugins/visualization/d3/d3.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/visualization/d3/d3_tooltip.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/ui/moment/moment.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/daterangepicker.js"></script>

        <script type="text/javascript" src="~/assets/js/core/libraries/jasny_bootstrap.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/bootstrap_select.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/typeahead/typeahead.bundle.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/tags/tagsinput.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/tags/tokenfield.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/maxlength.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/formatter.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/styling/uniform.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/styling/switch.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/core.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/selectboxit.min.js"></script>

        <script type="text/javascript" src="~/assets/js/plugins/notifications/pnotify.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/bootstrap_multiselect.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/widgets.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/effects.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/notifications/jgrowl.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/anytime.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/picker.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/picker.date.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/picker.time.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/legacy.js"></script>
        @*<script type="text/javascript" src="~/assets/js/plugins/forms/styling/switchery.min.js"></script>*@
        <script type="text/javascript" src="~/assets/js/plugins/forms/wizards/steps.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/app.js"></script>

        <script src="~/app/setup-ui.js"></script>

        <script type="text/javascript" src="~/assets/js/pages/wizard_steps.js"></script>

        @*<script type="text/javascript" src="~/assets/js/pages/form_multiselect.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/jqueryui_components.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/form_floating_labels.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/picker_date.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/components_popups.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/form_checkboxes_radios.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/tasks_grid.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/combinations.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/form_checkboxes_radios.js"></script>*@

        <!-- /theme JS files -->

    </environment>
    <environment exclude="Development">
        <!-- Core JS files -->
        <script type="text/javascript" src="~/assets/js/plugins/loaders/pace.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery.min.js"></script>

        <script src="~/lib/JsBootGrid/jquery.bootgrid.min.js"></script>

        <script type="text/javascript" src="~/assets/js/core/libraries/bootstrap.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/loaders/blockui.min.js"></script>
        <!-- /core JS files -->
        <!-- Theme JS files -->
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/interactions.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/select2.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/selectboxit.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/bootstrap_multiselect.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/touchspin.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/uploaders/fileinput.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/editable/editable.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/extensions/contextmenu.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/visualization/sparkline.min.js"></script>

        <script type="text/javascript" src="~/assets/js/plugins/forms/validation/validate.min.js"></script>

        <script type="text/javascript" src="~/assets/js/plugins/extensions/cookie.js"></script>


        @*<script type="text/javascript" src="~/assets/js/pages/table_elements.js"></script>*@
        <!-- /theme JS files -->
        <!-- Theme JS files -->
        <script type="text/javascript" src="~/assets/js/plugins/visualization/d3/d3.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/visualization/d3/d3_tooltip.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/ui/moment/moment.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/daterangepicker.js"></script>

        <script type="text/javascript" src="~/assets/js/core/libraries/jasny_bootstrap.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/bootstrap_select.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/typeahead/typeahead.bundle.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/tags/tagsinput.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/tags/tokenfield.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/maxlength.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/inputs/formatter.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/styling/uniform.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/styling/switch.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/core.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/selectboxit.min.js"></script>

        <script type="text/javascript" src="~/assets/js/plugins/notifications/pnotify.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/forms/selects/bootstrap_multiselect.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/widgets.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/libraries/jquery_ui/effects.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/notifications/jgrowl.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/anytime.min.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/picker.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/picker.date.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/picker.time.js"></script>
        <script type="text/javascript" src="~/assets/js/plugins/pickers/pickadate/legacy.js"></script>

        @*<script type="text/javascript" src="~/assets/js/plugins/forms/styling/switchery.min.js"></script>*@
        <script type="text/javascript" src="~/assets/js/plugins/forms/wizards/steps.min.js"></script>
        <script type="text/javascript" src="~/assets/js/core/app.js"></script>
        <script type="text/javascript" src="~/assets/js/pages/wizard_steps.js"></script>
        <script src="~/app/setup-ui.js"></script>


        @*<script type="text/javascript" src="~/assets/js/pages/form_multiselect.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/jqueryui_components.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/form_floating_labels.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/picker_date.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/components_popups.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/form_checkboxes_radios.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/tasks_grid.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/combinations.js"></script>
            <script type="text/javascript" src="~/assets/js/pages/form_checkboxes_radios.js"></script>*@

        <!-- /theme JS files -->


    </environment>


    @RenderSection("Scripts", required: false)

    <script type="text/javascript">

        $(document).ready(function () {

            $(document).ajaxStart(function () {

                $("#wait").css("display", "block");

            });
            $(document).ajaxComplete(function () {

                $("#wait").css("display", "none");
            });

        });




        function GetCurrentDate() {
            var today = new Date();
            var dd = today.getDate();
            var mm = today.getMonth() + 1; //January is 0!
            var yyyy = today.getFullYear();

            if (dd < 10) {
                dd = '0' + dd
            }

            if (mm < 10) {
                mm = '0' + mm
            }

            today = mm + '/' + dd + '/' + yyyy;
            return today;
        }

        function GetCurrentDate(d, m, y) {
            var today = new Date();
            var dd = today.getDate();
            var mm = today.getMonth() + 1; //January is 0!
            var yyyy = today.getFullYear();

            if (dd < 10) {
                dd = '0' + dd
            }

            if (mm < 10) {
                mm = '0' + mm
            }

            yyyy = yyyy + y;
            today = mm + '/' + dd + '/' + yyyy;
            return today;
        }


        function DisplaySuccessMessage(message) {
            $('#divSuccess').text(message);
            $('#successModal').modal('show');
        }
        function DisplayWarningMessage(message) {
            $('#divWarning').text(message);
            $('#warningModal').modal('show');
        }
        function DisplayErrorMessage(message) {
            if (message == '') {
                $('#errorModal').modal('show');
            }
            else {
                $('#divError').text(message);
                $('#errorModal').modal('show');
            }

        }
    </script>

</body>

</html>
